Subject: Re: [parted-devel] [PATCH RESEND] GPT: add support for PReP GUID

From: Avik Sil <[email-masked]>
Date: Tue, 05 Nov 2013 17:59:01 +0530

On 10/08/2013 07:40 AM, Phillip Susi wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA512
> 
> On 10/07/2013 09:12 PM, Avik Sil wrote:
>> On 10/07/2013 07:59 PM, Phillip Susi wrote: Doesn't this old
>> platform only understand the apple partition map, and not gpt?
>> Picking a guid out of the air isn't going to teach the firmware to
>> look for it.
>>
>>> Yes, and firmware support for it is also being added. For
>>> example, in guest firmware SLOF, this support has already been
>>> added [1]. And GRUB2 also now supports PReP GUID [2].
> 
> Oh, I thought this was an obsolete platform not in production any
> more?  I suppose if it is still being updated then the patch looks
> good to me.

Can you please add this patch to upstream? It has not been added yet.

Regards,
Avik